<?php

namespace WilokeProductSaleCountDown\Dashboard\Shared;

use WilokeProductSaleCountDown\Illuminate\Prefix\AutoPrefix;

trait TraitGetSettingProductCountDown
{
	public function getTitleProductCountDown(int $productID)
	{
		return get_post_meta($productID, AutoPrefix::namePrefix('title-product-count-down'), true) ?:
			Option::getTitleDefault();
	}

	public function getStyleProductCountDown(int $productID)
	{
		$styleProduct = get_post_meta($productID, AutoPrefix::namePrefix('style-product-count-down'),true);
		if ($styleProduct != 'inheritDefault') {
			$style = get_post_meta($productID, AutoPrefix::namePrefix('style-product-count-down'), true)
				?: Option::getStyleDefault();
		} else {
			$style = Option::getStyleDefault();
		}
		return $style;
	}

}