(function () {
    jQuery(document).ready(function ($) {
        'use strict';

        $('#wilpscd-style-default').on('change', function () {
            let value = $('#wilpscd-style-default').val();
            let numColor = $('#wilpscd-number-color');
            let numBGColor = $('#wilpscd-number-bg-color');
            let textColorID = $('#wilpscd-text-color');
            let textBGColor = $('#wilpscd-text-bg-color');
            let hideTextBGColor = $('#wil-text-bg-color');
            switch (value) {
                case 'style1':
                    hideTextBGColor.show();
                    hideTextBGColor.removeClass('wil-scd-hide')
                    numColor.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style1.numberColor
                    );
                    numBGColor.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style1.numberBgColor
                    );
                    textColorID.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style1.textColor
                    );
                    textBGColor.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style1.textBgColor
                    );
                    break;
                case 'style2':
                    numColor.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style2.numberColor
                    );
                    numBGColor.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style2.numberBgColor
                    );
                    textColorID.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style2.numberBgColor
                    );
                    hideTextBGColor.hide();
                    break;

                case 'style3':
                    numColor.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style3.numberColor
                    );
                    numBGColor.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style3.numberBgColor
                    );
                    textColorID.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style3.textColor
                    );
                    hideTextBGColor.hide();
                    break;
                case 'style4':
                    numColor.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style4.numberColor
                    );
                    numBGColor.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style4.numberBgColor
                    );
                    textColorID.wpColorPicker(
                        'color', WILSCD_GLOBAL.colorStyle.style4.textColor
                    );
                    hideTextBGColor.hide();
                    break;
            }
        })
        if (typeof jQuery.wp === 'object' && typeof jQuery.wp.wpColorPicker === 'function') {
            $('.wilpscd-number-color').wpColorPicker();
            $('.wilpscd-number-bg-color').wpColorPicker();
            $('.wilpscd-text-color').wpColorPicker();
            $('.wilpscd-text-bg-color').wpColorPicker();
        }
    });
})(jQuery);